{
  "tabBar": {
    "color": "#000000",
    "selectedColor": "#fa2209",
    "borderStyle": "black",
    "backgroundColor": "#ffffff",
    "list": [
      {
        "pagePath": "pages/index/index",
        "iconPath": "static/tabbar/home.png",
        "selectedIconPath": "static/tabbar/home-active.png",
        "text": "首页"
      },
      {
        "pagePath": "pages/user/index",
        "iconPath": "static/tabbar/user.png",
        "selectedIconPath": "static/tabbar/user-active.png",
        "text": "我的"
      }
    ]
  },
  "pages": [
    // pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
    {
      "path": "pages/empty",
      "style": {
        "navigationBarTitleText": "验证身份"
      }
    },
    {
      "path": "pages/index/index",
      "style": {
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/category/index",
      "style": {
        "navigationBarTitleText": "全部分类"
      }
    },
    {
      "path": "pages/cart/index",
      "style": {
        "navigationBarTitleText": "购物车"
      }
    },
    {
      "path": "pages/user/index",
      "style": {
        "navigationBarTitleText": "个人中心",
        "enablePullDownRefresh": true,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/user/realname/index",
      "style": {
        "navigationBarTitleText": "实名认证"
      }
    },
    {
      "path": "pages/user/activatorder/index",
      "style": {
        "navigationBarTitleText": "激活订单"
      }
    },
    {
      "path": "pages/user/userxieyi/index",
      "style": {
        "navigationBarTitleText": "用户协议"
      }
    },
    // **企业客户端
    {
      "path": "pages/firm/index",
      "style": {
        "navigationBarTitleText": "企业客户端",
        "enablePullDownRefresh": true,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/firm/home/index",
      "style": {
        "navigationBarTitleText": "企业客户端",
        "enablePullDownRefresh": true,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/firm/authentication/index",
      "style": {
        "navigationBarTitleText": "企业实名认证"
      }
    },
    // **企业客户端** - end

    // **用户激活端口** - static
    {
      "path": "pages/activationcode/index",
      "style": {
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    },
    // **用户激活端口** - end

    // **用户条形码扫描** - static
    {
      "path": "pages/txmLogin/index",
      "style": {
        "navigationBarTitleText": "路由器录入",
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/tiaoxingma/index",
      "style": {
        "navigationBarTitleText": "路由器录入",
        "enablePullDownRefresh": false,
        "navigationStyle": "custom"
      }
    },
    // **用户条形码扫描** - end

    // **用户商场购物端口** - static
    // 手动输入企业码页面
    {
      "path": "pages/order/center",
      "style": {
        "navigationBarTitleText": "订单中心",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/firm/order/index",
      "style": {
        "navigationBarTitleText": "分销订单",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/order/index",
      "style": {
        "navigationBarTitleText": "我的订单",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/order/detail",
      "style": {
        "navigationBarTitleText": "订单详情",
        "navigationBarTextStyle": "white",
        "navigationBarBackgroundColor": "#e8c269"
      }
    },
    {
      "path": "pages/authentication/index",
      "style": {
        "enablePullDownRefresh": true,
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/custom/index",
      "style": {
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/search/index",
      "style": {
        "navigationBarTitleText": "商品搜索"
      }
    },
    {
      "path": "pages/login/index",
      "style": {
        "navigationBarTitleText": "会员登录"
      }
    },
    {
      "path": "pages/user/bind/index",
      "style": {
        "navigationBarTitleText": "绑定手机"
      }
    },
    {
      "path": "pages/user/certificate/index",
      "style": {
        "navigationBarTitleText": "绑定手机"
      }
    },
    {
      "path": "pages/user/personal/index",
      "style": {
        "navigationBarTitleText": "个人信息"
      }
    },
    {
      "path": "pages/article/index",
      "style": {
        "navigationBarTitleText": "资讯列表"
      }
    },
    {
      "path": "pages/article/detail",
      "style": {
        "navigationBarTitleText": "资讯详情"
      }
    },
    {
      "path": "pages/help/index",
      "style": {
        "navigationBarTitleText": "帮助中心"
      }
    },
    {
      "path": "pages/coupon/index",
      "style": {
        "navigationBarTitleText": "领券中心"
      }
    },
    {
      "path": "pages/goods/list",
      "style": {
        "navigationBarTitleText": "商品列表",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/goods/detail",
      "style": {
        "navigationBarTitleText": "商品详情页"
      }
    },
    {
      "path": "pages/checkout/index",
      "style": {
        "navigationBarTitleText": "订单结算台"
      }
    },
    {
    	"path" : "pages/invoice/index",
    	"style" : 
    	{
    		"navigationBarTitleText" : "发票管理"
    	}
    }

    // {
    //   "path": "pages/comment/index",
    //   "style": {
    //     "navigationBarTitleText": "商品评价页"
    //   }
    // },
    // {
    //   "path": "pages/my-coupon/index",
    //   "style": {
    //     "navigationBarTitleText": "我的优惠券"
    //   }
    // },
    // {
    //   "path": "pages/address/index",
    //   "style": {
    //     "navigationBarTitleText": "收货地址"
    //   }
    // },
    // {
    //   "path": "pages/address/create",
    //   "style": {
    //     "navigationBarTitleText": "新增收货地址"
    //   }
    // },
    // {
    //   "path": "pages/address/update",
    //   "style": {
    //     "navigationBarTitleText": "编辑收货地址"
    //   }
    // },
    // {
    //   "path": "pages/points/log",
    //   "style": {
    //     "navigationBarTitleText": "账单明细"
    //   }
    // },
    // {
    //   "path": "pages/wallet/index",
    //   "style": {
    //     "navigationBarTitleText": "我的钱包"
    //   }
    // },
    // {
    //   "path": "pages/wallet/balance/log",
    //   "style": {
    //     "navigationBarTitleText": "账单详情"
    //   }
    // },
    // {
    //   "path": "pages/wallet/recharge/index",
    //   "style": {
    //     "navigationBarTitleText": "充值中心"
    //   }
    // },
    // {
    //   "path": "pages/wallet/recharge/order",
    //   "style": {
    //     "navigationBarTitleText": "充值记录"
    //   }
    // },

    // {
    //   "path": "pages/checkout/cashier/index",
    //   "style": {
    //     "navigationBarTitleText": "支付订单"
    //   }
    // }

    // {
    //   "path": "pages/order/express/index",
    //   "style": {
    //     "navigationBarTitleText": "物流跟踪"
    //   }
    // },
    // {
    //   "path": "pages/order/comment/index",
    //   "style": {
    //     "navigationBarTitleText": "订单评价"
    //   }
    // },
    // {
    //   "path": "pages/refund/index",
    //   "style": {
    //     "navigationBarTitleText": "退换/售后"
    //   }
    // },
    // {
    //   "path": "pages/refund/detail",
    //   "style": {
    //     "navigationBarTitleText": "售后详情"
    //   }
    // },
    // {
    //   "path": "pages/refund/apply",
    //   "style": {
    //     "navigationBarTitleText": "申请售后"
    //   }
    // }
  ],
  "globalStyle": {
    // #ifdef H5
    // "navigationStyle": "custom",
    "maxWidth": 750,
    "rpxCalcMaxDeviceWidth": 750, // rpx 计算所支持的最大设备宽度，单位 px，默认值为 960
    "rpxCalcBaseDeviceWidth": 560, // rpx 计算使用的基准设备宽度，设备实际宽度超出 rpx 计算所支持的最大设备宽度时将按基准宽度计算，单位 px，默认值为 375
    "rpxCalcIncludeWidth": 9999, // rpx 计算特殊处理的值，始终按实际的设备宽度计算，单位 rpx，默认值为 750
    // #endif
    "navigationBarBackgroundColor": "#ffffff",
    "navigationBarTitleText": "",
    "navigationBarTextStyle": "black",
    "backgroundTextStyle": "dark"
  },
  "easycom": {
    "autoscan": true,
    "custom": {}
  },
  "uni-app": {
    "scripts": {
      "dev": {
        "title": "build:dev",
        "env": {
          "UNI_PLATFORM": "h5",
          "H_NODE_ENV": "dev",
          "H_BASEURL": "https://hnapi.kdboss.cn",
          "H_REDIRECT": "xxx"
        }
      },
      "test": {
        "title": "build:test",
        "env": {
          "UNI_PLATFORM": "h5",
          "H_NODE_ENV": "test",
          "H_BASEURL": "https://hnapi.kdboss.cn",
          "H_REDIRECT": "xxx"
        }
      },
      "prod": {
        "title": "build:prod",
        "env": {
          "UNI_PLATFORM": "h5",
          "H_NODE_ENV": "prod",
          "H_BASEURL": "https://hnapi.kdboss.cn",
          "H_REDIRECT": "xxx"
        }
      }
    }
  }
}
